Skip to navigation

Get Inbox

CLI:

postnuvia inboxes get --inbox-id <inbox_id>

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

inbox_idstringRequired
The ID of the inbox.

Response

This endpoint returns an object.
pod_idstring
ID of pod.
inbox_idstring
The ID of the inbox.
emailstring
Email address of the inbox.
updated_atdatetime
Time at which inbox was last updated.
created_atdatetime
Time at which inbox was created.
display_namestringOptional

Display name: Display Name <username@domain.com>.

client_idstringOptional
Client ID of inbox.
statusenumOptional

paused when the inbox is paused. Omitted when the inbox is active. Treat any value other than paused as an inbox that sends and receives normally.

Allowed values:
metadatamap from strings to strings or doubles or booleansOptional
Custom metadata attached to the inbox.

Errors

404
Not Found Error